cross/dasm - The NetBSD Packages Collection

Multi-CPU cross-assembler for 6502, 6803 and 68HC11

DASM is a highly evolved cross-assembler for 6502, 6803 and 68HC11
processors.  It is very popular for hacking/cross-developing on old
6502-based video game systems from Atari, Nintendo, etc.  DASM
processes output from the Distella Atari ROM disassembler without
modification.

Build dependencies

pkgtools/cwrappers devel/gmake

Runtime dependencies

(none)

Available binary packages

aarch64:dasm-2.20.11nb1.tgz(NetBSD 9.0)
aarch64:dasm-2.20.13.tgz(NetBSD 9.0)
aarch64:dasm-2.20.14.1.tgz(NetBSD 9.0)
alpha:dasm-2.20.14.1.tgz(NetBSD 9.0)
alpha:dasm-2.20.13.tgz(NetBSD 9.0)
earm:dasm-2.20.13.tgz(NetBSD 9.0)
earmv6hf:dasm-2.20.14.1.tgz(NetBSD 9.0)
earmv6hf:dasm-2.20.11nb1.tgz(NetBSD 9.0)
earmv6hf:dasm-2.20.13.tgz(NetBSD 9.0)
earmv6hf:dasm-2.20.14.1.tgz(NetBSD 9.0)
earmv7hf:dasm-2.20.14.1.tgz(NetBSD 8.0)
earmv7hf:dasm-2.20.11nb1.tgz(NetBSD 8.0)
earmv7hf:dasm-2.20.11nb1.tgz(NetBSD 8.0)
earmv7hf:dasm-2.20.13.tgz(NetBSD 8.0)
earmv7hf:dasm-2.20.14.1.tgz(NetBSD 9.0)
earmv7hf:dasm-2.20.11nb1.tgz(NetBSD 9.0)
earmv7hf:dasm-2.20.11nb1.tgz(NetBSD 9.0)
earmv7hf:dasm-2.20.13.tgz(NetBSD 9.0)
earmv7hf:dasm-2.20.14.1.tgz(NetBSD 9.0)
i386:dasm-2.20.11nb1.tgz(NetBSD 8.0)
i386:dasm-2.20.13.tgz(NetBSD 8.0)
i386:dasm-2.20.14.1.tgz(NetBSD 8.0)
i386:dasm-2.20.11nb1.tgz(NetBSD 9.0)
i386:dasm-2.20.13.tgz(NetBSD 9.0)
i386:dasm-2.20.14.1.tgz(NetBSD 9.0)
mips64eb:dasm-2.20.13.tgz(NetBSD 9.0)
mips64eb:dasm-2.20.14.1.tgz(NetBSD 9.0)
powerpc:dasm-2.20.11nb1.tgz(NetBSD 8.0)
powerpc:dasm-2.20.14.1.tgz(NetBSD 8.0)
powerpc:dasm-2.20.13.tgz(NetBSD 8.0)
powerpc:dasm-2.20.13.tgz(NetBSD 9.0)
powerpc:dasm-2.20.11nb1.tgz(NetBSD 9.0)
powerpc:dasm-2.20.14.1.tgz(NetBSD 9.0)
sparc64:dasm-2.20.14.1.tgz(NetBSD 9.0)
sparc64:dasm-2.20.11nb1.tgz(NetBSD 9.0)
sparc64:dasm-2.20.13.tgz(NetBSD 9.0)
sparc:dasm-2.20.13.tgz(NetBSD 9.0)
x86_64:dasm-2.20.13.tgz(NetBSD 9.0)
x86_64:dasm-2.20.14.1.tgz(NetBSD 9.0)
x86_64:dasm-2.20.14.1.tgz(NetBSD 9.0)
x86_64:dasm-2.20.13.tgz(NetBSD 9.0)
x86_64:dasm-2.20.13.tgz(NetBSD 8.0)
x86_64:dasm-2.20.11nb1.tgz(NetBSD 8.0)
x86_64:dasm-2.20.14.1.tgz(NetBSD 8.0)
x86_64:dasm-2.20.11nb1.tgz(NetBSD 9.0)
x86_64:dasm-2.20.13.tgz(NetBSD 9.0)
x86_64:dasm-2.20.14.1.tgz(NetBSD 9.0)
x86_64:dasm-2.20.14.1.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]